This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 221163 - Review Request: qwtplot3d - Qt/OpenGL-based C++ library providing a bunch of 3D-widgets for programmers
Review Request: qwtplot3d - Qt/OpenGL-based C++ library providing a bunch of ...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michał Bentkowski
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2007-01-02 12:05 EST by Julian Sikorski
Modified: 2010-07-07 21:10 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-06 17:30:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Julian Sikorski 2007-01-02 12:05:40 EST
Spec URL: http://www.republika.pl/belegdol/rpmstuff/qwtplot3d.spec
SRPM URL: http://www.republika.pl/belegdol/rpmstuff/qwtplot3d-0.2.6-1.src.rpm
Description: QwtPlot3D is not a  program, but a feature-rich Qt/OpenGL-based C++ programming library, providing essentially a  bunch of 3D-widgets for programmers

It is needed at least by LabPlot. I have managed to get rpmlint silent apart from one, harmless error. Package builds in mock (fc6/i386).
Comment 1 Michał Bentkowski 2007-01-02 13:22:13 EST
(In reply to comment #0)
> It is needed at least by LabPlot. I have managed to get rpmlint silent apart 
from one, harmless error. Package builds in mock (fc6/i386).

On fc6/x86_64 it builds as well.

I'll make a full review later.
Comment 2 Michał Bentkowski 2007-01-02 13:49:37 EST
REVIEW:
 * rpmlint is not quiet:
E: qwtplot3d-devel only-non-binary-in-usr-lib
but we can ignore that until a file in /usr/lib is symlink to a binary one
 * sources match upstream (7ef960d7874f78162d6c9d241de2843e)
 * BRs listed well (mock builds fine)
 * license is in fact zlib/libpng (checked)
!* -devel subpackage present, but needs to be improved
 * name of package is good as well as spec file name
 * proper %post and %postun sections
 * package isn't designed to be relocatable
 * there's no duplicates in %files section
 * package owns files and directories well
 * proper %clean section
 * %defattr macros are present
 * macros are used good

THING TO DO:
 - some header files include files like a qstringlist.h which are owned by
qt-devel package. Thus you have to add qt-devel dependency to -devel subpackage.
Comment 3 Julian Sikorski 2007-01-02 14:50:36 EST
Spec URL: http://www.republika.pl/belegdol/rpmstuff/qwtplot3d.spec
SRPM URL: http://www.republika.pl/belegdol/rpmstuff/qwtplot3d-0.2.6-2.src.rpm

New release:
- Added qt-devel to -devel subpackage requires
Comment 4 Michał Bentkowski 2007-01-02 15:41:33 EST
Nothing to pick on.
Approved.
Comment 5 Julian Sikorski 2007-06-27 20:06:42 EDT
Package Change Request
======================
Package Name: qwtplot3d
Updated Fedora Owners: chitlesh@fedoraproject.org
Comment 6 Kevin Fenzi 2007-06-28 15:38:23 EDT
I don't see that email address in the account system? Can you check it and resubmit?
Comment 7 Julian Sikorski 2007-06-29 04:40:18 EDT
Oops, sorry.

Package Change Request
======================
Package Name: qwtplot3d
Updated Fedora Owners: cgoorah@yahoo.com.au
Comment 8 Kevin Fenzi 2007-06-29 17:11:54 EDT
Thanks. cvs done. 
Comment 9 Chitlesh GOORAH 2010-07-07 13:39:20 EDT
Package Change Request
======================
Package Name: qwtplot3d
New Branches: EL-6
Owners: chitlesh
Comment 10 Kevin Fenzi 2010-07-07 21:10:09 EDT
CVS done (by process-cvs-requests.py).

Note You need to log in before you can comment on or make changes to this bug.